<HTML>
<HEAD>
<TITLE>song info</TITLE>
<?php

/*
 * info.php - the script to display a songs info page
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

require_once("config.inc");
require_once("utils.inc");
require_once("mp3genres.inc");

if($CSS_FILE!=false)
  echo("<LINK HREF=\"$CSS_FILE\" TYPE=\"text/css\" REL=STYLESHEET>");

echo("
</HEAD>
<BODY>
<TABLE CELLSPACING=$TABLE_SPACING CELLPADDING=0 BORDER=$TABLE_BORDER WIDTH=\"$MAX_TABLE_WIDTH\" HEIGHT=\"$MAX_TABLE_HEIGHT\">
<TR><TD CLASS=Title VALIGN=TOP>
  <TABLE WIDTH=\"100%\">
    <TR><TD class=Name ALIGN=MIDDLE>song info</TD></TR>
  </TABLE>
</TD></TR>");

$conn=pg_connect("host=$DBHOST user=$DBUSER dbname=$DBNAME");
if(!$conn)
{
  echo("<TR><TD CLASS=Navigation WIDTH=\"100%\" ALIGN=CENTER><B>Failed to open the database $DB_NAME at $DB_HOST for $DB_USER</TD></TR>");
}
else
{
  $result=pg_exec($conn,"SELECT * FROM songs WHERE id=$id;");

  $entries_found=pg_numrows($result);
  
  if($entries_found > 0)
  {
    // let's create the update form
    $song=pg_fetch_array($result, 0);

    echo("
<TR><TD CLASS=Content VALIGN=TOP HEIGHT=\"100%\">
<TABLE CELLSPACING=4 CELLPADDING=0 BORDER=$TABLE_BORDER WIDTH=\"100%\">
");

    if(($song["flags"]&0x2000)!=0)	// do we have a APIC frame?
    {
      $file=rawurlencode($MP3ROOT . $song["file"]);

      echo("<TR><TD CLASS=Image ROWSPAN=".(pg_numfields($result)+1)." WIDTH=\"0%\" VALIGN=TOP><IMG SRC=\"$GETAPIC$file\" BORDER=1 ALT=\"[cover]\"></TD></TR>\n");
    }

    for($i=0; $i<pg_numfields($result); $i++)
    {
      $name=pg_fieldname($result, $i);
      $uname=ucfirst($name);

      $val=$song[$i];

      if($name=="flags")
        $val=decodeFlags($val)." [".sprintf("0x%08X", $val)."]";
      else if($name=="genre")
        $val=getGenre($val);
      else if($name=="filesize")
        $val=formatSize($val);
      else if($name=="length")
        $val=formatSeconds($val);
      else if($name=="bitrate")
        $val="$val kbps";

      $val=htmlspecialchars($val);
      
      $style="Entry";
      if(strlen($val)==0)
        $style="NoEntry";

      echo("<TR><TD CLASS=Column ALIGN=LEFT><B>$uname:</B></TD><TD CLASS=$style WIDTH=\"100%\" ALIGN=LEFT>$val</TD></TR>\n");
    }

    echo("
</TABLE>
<TR><TD CLASS=Title VALIGN=TOP>
<TABLE WIDTH=\"100%\">");

    if($HAS_JS) 
      echo("<TR><TD class=Name ALIGN=CENTER COLSPAN=4>[<A HREF=\"javascript:window.close()\">close</A>]</TD></TR>");

    echo("
</TABLE>
</TD></TR>");
  }
  else if($HAS_JS)
  {
    echo("
<TR><TD CLASS=Title VALIGN=TOP>
  <TABLE WIDTH=\"100%\">
    <TR><TD class=Name ALIGN=MIDDLE>[<A HREF=\"javascript:window.close()\">close</A>]</TD></TR>
  </TABLE>
</TD></TR>");
  }
}

?>
</TABLE>
</BODY>
</HTML>

