<?php

/* 
 * irmp3cmd.php - the script for sending a comand to irmp3
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * when done this script calls current.php to display the current song.
 *
 */

require_once("config.inc");
require_once("irmp3.inc");

$cmd=false;
if($comand == "play")
{
  // why is ` still escaped, is this a bug or a feature of php?
  $file=str_replace("\'", "'", $file);
  $file=str_replace("\`", "`", $file);

  $cmd="play $file";
  $answers=array("play", "time");
}
else if($comand == "stop")
{
  $cmd=$comand;
  $answers=array();
}
else if($comand != false && $comand != "refresh")
{
  $cmd=array($comand, "query mp3file", "query status", "query time");
  $answers=array("info_file", "info_status", "info_time");
}

if($cmd!=false)
{
  $irmp3_info=irmp3_cmd($IRMP3_HOST, $IRMP3_PORT, $cmd, $answers);
}

// now use current.php to display the current song
require("current.php");

?>
