<HTML>
<HEAD>
<TITLE>muwed search</TITLE>
<?php

/* 
 * search.php - the script to perform a database search
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * this script expects the variable $artist, $title, $album to be set to perform a query.
 *
 */

require_once("config.inc");

if($CSS_FILE!=false)
  echo("<LINK HREF=\"$CSS_FILE\" TYPE=\"text/css\" REL=STYLESHEET>");

echo("
</HEAD>
<BODY>
<TABLE CELLSPACING=$TABLE_SPACING CELLPADDING=0 BORDER=$TABLE_BORDER WIDTH=\"$MAX_TABLE_WIDTH\" HEIGHT=\"$MAX_TABLE_HEIGHT\">
<TR><TD CLASS=Search VALIGN=TOP>");

require("queryform.inc");

echo("
</TD></TR>
<TR><TD CLASS=Content VALIGN=TOP HEIGHT=\"100%\">");

// formulate the query
$clauses=array();

if(strlen($artist) > 0)
  array_push($clauses, getQueryClause("artist", $artist, $regex, $case));

if($SHOW_COMPOSER && strlen($composer) > 0)
  array_push($clauses, getQueryClause("composer", $composer, $regex, $case));

if(strlen($title) > 0)
  array_push($clauses, getQueryClause("title", $title, $regex, $case));

if(strlen($album) > 0)
  array_push($clauses, getQueryClause("album", $album, $regex, $case));

// do we realy have a query
if(sizeof($clauses) > 0)
{
  if($match != "OR")
    $match="AND";

  $query=join(" $match ", $clauses);
  $notfound_msg="No entries found matching the given pattern";

  include("dbquery.inc");
}
else // no query to ask the database
  require("aboutmuwed.inc");

function getQueryClause($field, $pattern, $regex, $case)
{
  $val=ereg_replace("'", "''", $pattern);
  
  if($regex == 1)
  {
    if($case == 1)
      $clause="$field ~ '$val'";
    else
      $clause="$field ~* '$val'";
  }
  else
  {
    if($case == 1)
      $clause="$field ~~ '$val'";
    else
      $clause="lower($field) ~~ lower('$val')";
  }

  return $clause;
}

?>
</TD></TR>
</TABLE>
</BODY>
</HTML>

